Get a quote
curl --request GET \
--url https://api.bookingshake.io/api/quotes/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.bookingshake.io/api/quotes/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.bookingshake.io/api/quotes/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "success",
"data": {
"id": "<string>",
"number": "<string>",
"status": "draft",
"title": "<string>",
"language": "<string>",
"currency": "<string>",
"created_at": 123,
"service_start_date": "<string>",
"service_end_date": "<string>",
"amount_excl_tax": 123,
"amount_incl_tax": 123,
"taxable_breakdown": {},
"tax_breakdown": {},
"global_discount_excl_tax": 123,
"lines": [
{
"name": "<string>",
"description": "<string>",
"accounting_code": "<string>",
"quantity": "<string>",
"unit": "<string>",
"unit_price_excl_tax": 123,
"discount": 123,
"tax_rate": "<string>",
"total_excl_tax": 123
}
],
"booking_id": "<string>",
"account_id": "<string>",
"contact_id": "<string>",
"seller": {
"id": "<string>",
"legal_name": "<string>",
"company_type": "<string>",
"company_registration_id": "<string>",
"vat_number": "<string>",
"share_capital": "<string>",
"company_other_id": "<string>",
"address_line_1": "<string>",
"address_line_2": "<string>",
"postal_code": "<string>",
"city": "<string>",
"country": "<string>",
"country_code": "<string>",
"iban": "<string>",
"email": "<string>"
},
"account": {
"id": "<string>",
"name": "<string>",
"legal_name": "<string>",
"company_type": "<string>",
"company_registration_id": "<string>",
"siret": "<string>",
"vat_number": "<string>",
"rcs_number": "<string>",
"address_line_1": "<string>",
"address_line_2": "<string>",
"postal_code": "<string>",
"city": "<string>",
"country": "<string>",
"country_code": "<string>",
"billing_address_line_1": "<string>",
"billing_address_line_2": "<string>",
"billing_postal_code": "<string>",
"billing_city": "<string>",
"billing_country": "<string>",
"billing_country_code": "<string>",
"peppol_id": "<string>"
},
"contact": {
"id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"phone": "<string>",
"landline_phone": "<string>",
"title": "<string>",
"position": "<string>",
"company": "<string>",
"address_line_1": "<string>",
"address_line_2": "<string>",
"postal_code": "<string>",
"city": "<string>",
"country": "<string>",
"country_code": "<string>"
},
"pdf_url": "<string>",
"metadata": {},
"sent_at": 123,
"validated_at": 123,
"canceled_at": 123,
"expired_at": 123,
"valid_until": "2023-12-25",
"signature": {
"signed_at": 123,
"signed_pdf_url": "<string>"
}
}
}{
"message": "invalid token"
}{
"message": "invalid token"
}{
"message": "Rate limit exceeded",
"data": {
"limit": 10,
"window": "60 seconds",
"remaining": 0,
"resetAt": "2025-11-17T14:30:00.000Z",
"retryAfter": 45
}
}{
"message": "invalid token"
}Quotes
Get a quote
Returns an issued quote by its ID.
Also accepts the historical draft IDs found in the quote_id field of payment and invoice webhooks emitted by older venues: the API transparently resolves them to the latest issued version of the quote.
GET
/
quotes
/
{id}
Get a quote
Authorizations
Bearer authentication using your BookingShake API key. Retrieve your API key from Settings > Integrations in your BookingShake dashboard.
Path Parameters
Quote ID (or historical draft ID from a webhook quote_id)
⌘I
